AnsweredAssumed Answered

Question about Canvas Data CLI implementation

Question asked by Kevin Doherty on Aug 5, 2016
Latest reply on Aug 23, 2016 by Kevin Doherty

Hello data team.  We plan to implement Canvas Data CLI on an Enterprise Linux V6 server.  Our systems people have a couple of questions that I did not find answer to on the community site.  I hope you can help.    (

 

1) Node.js:  CLI documentation says "any version newer than 0.12.0 should work".  Node.js appears to have several version branches with different numbering systems (0.10 0.12, 4.x, 5.x, 6.x). Should we install the latest release within the 0.12 branch?  Or should we install some other version branch with a higher number? 

 

(2) Can we use Canvas Data CLI through a proxy server?  Our servers are not allowed to directly access the internet. 

 

We appreciate any guidance that you can provide.  Thanks.

Outcomes